Get File/Folder ResourceProperty

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API will return additional properties of the file.

Endpoints

OAuth Scope

WorkDrive.files.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url https://www.zohoapis.com/workdrive/api/v1/resourceproperty/{resource_id} \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'

Path Parameters

resource_idstring(Required)

The unique ID of the file/folder.

Response Example

R004

R004

F202

F7003

F7003

A001

R008

R008

F7004

R009

R009

R004

F000

200
200
400
401
403
404
500
Copied!
  {
    "data": {
      "id": "cjrrrd928be6312ac408abe79ec71db3de772",
      "type": "resourceproperty",
      "attributes": {
        "count_info": {
          "preview_count": 0,
          "download_count": 0
        },
        "storage_info": {
          "size": "128 bytes",
          "storage_used": "128 bytes",
          "files_count": 0,
          "folders_count": 0,
          "size_in_bytes": 128,
          "storage_used_in_bytes": 128
        }
      },
      "links": {
        "self": "https://www.zohoapis.com/workdrive/resourceproperty/cjrrrd928be6312ac408abe79ec71db3de772"
      }
    }
  }
                
  {
    "errors": [
      {
        "id": "R004",
        "title": "Invalid resource ID"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F202",
        "title": "Resource properties unavailable"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F7003",
        "title": "Invalid OAuth token"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "A001",
        "title": "Unauthorized access"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R008",
        "title": "Authorization check failed"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F7004",
        "title": "Invalid OAuth scope"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R009",
        "title": "Resource not found"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R004",
        "title": "Invalid resource ID"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "General exception"
      }
    ]
  }
                
Show full